YAZ-RECORD-ICONV(1)

NAME
yaz-record-conv - YAZ Record Conversion Utility

SYNOPSIS

yaz-record-conv [-v loglevel] [config] [fname...]

DESCRIPTION

yaz-record-conv is a program that exercises the record conversion sub system. Refer to record_conv.h header.

OPTIONS

-v level
    Sets the LOG level to level. Level is a sequence of tokens separated by comma. Each token is a integer or a named LOG item - one of fatal, debug, warn, log, malloc, all, none.

EXAMPLES

The following backend configuration converts MARC records (ISO2709) to Dublin-Core XML.

        <backend name="F" syntax="usmarc">
          <marc inputcharset="marc-8" inputformat="marc" outputformat="marcxml"/>
          <xslt stylesheet="../etc/MARC21slim2DC.xsl"/>
        </backend>

We can convert one of the sample records from YAZ' test directory with:

    $ ../util/yaz-record-conv record-conv-conf.xml marc6.marc
    <?xml version="1.0"?>
    <dc:dc xmlns:dc="http://purl.org/dc/elements/1.1/">
      <dc:title>How to program a computer</dc:title>
      <dc:creator>
        Jack Collins
      </dc:creator>
      <dc:type>text</dc:type>
      <dc:publisher>Penguin</dc:publisher>
      <dc:language>eng</dc:language>
    </dc:dc>

FILES

record_conv.h

SEE ALSO

yaz(7)

AUTHORS

Index Data